Автор Тема: java-11  (Прочитано 12252 раз)

Оффлайн guzanovmax

  • Давно тут
  • **
  • Сообщений: 145
    • Email
java-11
« : 06.01.2020 14:15:54 »
Всех с новым годом и наступающим рождеством!

Как в p9 поставить java-11 (нужно для 1с EDT 1.16)? Скачал пакеты из сизифа, но по зависимостям много, что тянет. На сизиф переходить не хочу.
« Последнее редактирование: 06.01.2020 14:18:40 от guzanovmax »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 551
    • Домашняя страница
    • Email
Re: java-11
« Ответ #1 : 06.01.2020 18:50:11 »
Ставить с сайта Oracle.
Андрей Черепанов (cas@)

Оффлайн ASte

  • Мастер
  • ***
  • Сообщений: 1 426
Re: java-11
« Ответ #2 : 10.01.2020 15:18:32 »
Вот только с сайта oracle ЕМНИП на jdk 11 лицензия сейчас уже платная в случае коммерческого использования. или 13-ю ставить от oracle, или лицензию на 11-ю покупать, или искать/собирать openjdk.

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 760
Re: java-11
« Ответ #3 : 10.01.2020 15:22:34 »
Вот только с сайта oracle ЕМНИП на jdk 11 лицензия сейчас уже платная в случае коммерческого использования. или 13-ю ставить от oracle, или лицензию на 11-ю покупать, или искать/собирать openjdk.
https://bell-sw.com/  ;-)

Оффлайн ASte

  • Мастер
  • ***
  • Сообщений: 1 426
Re: java-11
« Ответ #4 : 10.01.2020 20:33:25 »
Еще есть srpm с "сизифовскими" исходниками и spec от сизифа. в принципе ИМХО должно собраться и  для p9..

Оффлайн guzanovmax

  • Давно тут
  • **
  • Сообщений: 145
    • Email
Re: java-11
« Ответ #5 : 13.01.2020 11:57:45 »
Еще есть srpm с "сизифовскими" исходниками и spec от сизифа. в принципе ИМХО должно собраться и  для p9..
Сначала собирать нужно научиться... Еслиб кто собрал, был бы благодарен!

Оффлайн guzanovmax

  • Давно тут
  • **
  • Сообщений: 145
    • Email
Re: java-11
« Ответ #6 : 16.01.2020 13:22:25 »
Может кто-нибудь объяснить или направить на нужную тему по сборке пакетов?

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 760
Re: java-11
« Ответ #7 : 16.01.2020 13:27:11 »
Может кто-нибудь объяснить или направить на нужную тему по сборке пакетов?
а Liberica JDK тоже не ставится что-ли?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 551
    • Домашняя страница
    • Email
Re: java-11
« Ответ #8 : 16.01.2020 14:53:24 »
Может кто-нибудь объяснить или направить на нужную тему по сборке пакетов?
https://www.altlinux.org/Сборка_пакета_с_РЕАЛЬНОГО_НУЛЯ
Андрей Черепанов (cas@)

Оффлайн guzanovmax

  • Давно тут
  • **
  • Сообщений: 145
    • Email
Re: java-11
« Ответ #9 : 20.01.2020 18:22:19 »
а Liberica JDK тоже не ставится что-ли?
Требует: /usr/sbin/alternatives но пакет не может быть установлен

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 760
Re: java-11
« Ответ #10 : 24.01.2020 23:59:44 »
а Liberica JDK тоже не ставится что-ли?
Требует: /usr/sbin/alternatives но пакет не может быть установлен
а по аналогии с https://www.altlinux.org/Google_Chrome не помогает?

Оффлайн guzanovmax

  • Давно тут
  • **
  • Сообщений: 145
    • Email
Re: java-11
« Ответ #11 : 27.01.2020 09:15:18 »
а по аналогии с https://www.altlinux.org/Google_Chrome
Помогло, но легче не стало - пакет установился но java -version его не показывает. Как переключиться на это не понятно.

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 760
Re: java-11
« Ответ #12 : 27.01.2020 14:10:17 »
а по аналогии с https://www.altlinux.org/Google_Chrome
Помогло, но легче не стало - пакет установился но java -version его не показывает. Как переключиться на это не понятно.
надо удалить другие jre. В альте не работает alternatives...

Оффлайн guzanovmax

  • Давно тут
  • **
  • Сообщений: 145
    • Email
Re: java-11[решено]
« Ответ #13 : 28.01.2020 17:15:07 »
В альте не работает alternatives...
Не знал, спасибо.
Все получилось, правда я поставил сизифовский java-11-openjdk. Не понял зачем java-1.8.0-openjdk привязан к libreoffice. Пришлось переустановить libreoffice из пакетов с их сайта.
Всем, особенно yaleks, спасибо.
« Последнее редактирование: 28.01.2020 17:28:46 от guzanovmax »

Оффлайн FreeArcher

  • Завсегдатай
  • *
  • Сообщений: 5
    • Email
Re: java-11
« Ответ #14 : 07.06.2021 17:45:35 »
При попытке установить EDT
bash-4.4# ./1ce-installer
bash: ./1ce-installer: Недопустимый аргумент
получаю ошибку. Видимо что-то с джавой не то.

java-11-openjdk установлен.

bash-4.4# java --version
openjdk 11.0.9.1 2020-11-04
OpenJDK Runtime Environment 18.9 (build 11.0.9.1+1)
OpenJDK 64-Bit Server VM 18.9 (build 11.0.9.1+1, mixed mode, sharing)

Чего то ещё не хватает, но не могу понять чего?э